package oop4_dat4_u;

import java.awt.*;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class Calculator extends Frame
{

    Panel myPanel = new Panel();
    TextField display = new TextField("0");
    Button b0 = new Button("0");
    Button b1 = new Button("1");
    Button b2 = new Button("2");
    Button b3 = new Button("3");
    Button b4 = new Button("4");
    Button b5 = new Button("5");
    Button b6 = new Button("6");
    Button b7 = new Button("7");
    Button b8 = new Button("8");
    Button b9 = new Button("9");
    Button bSign = new Button("S");
    Button bClear = new Button("C");
    Button bGleich = new Button("=");
    Button bDiv = new Button("/");
    Button bMulti = new Button("*");
    Button bPlus = new Button("+");
    Button bMinus = new Button("-");
    int operand1, operand2, result, operator;
    // operator: 0=Unbekannt, 1=Plus, 2=Minus, 3=Multiplikation, 4=Division

    public Calculator()
    {
        // Frame init
        this.setTitle("Calculator");
        this.setSize(250, 210);
        this.setResizable(false);

        // Layout-Mgr init
        this.setLayout(new BorderLayout());

        // Anzeige
        display.setEditable(false);
        display.setBackground(Color.white);

        // Anzeige dem Frame hinzufügen
        this.add(display, BorderLayout.NORTH);

        // Panel für Buttons
        // 5 Zeilen, 4 Spalten, 5px horizontal gap, 5px vertical gap
        myPanel.setLayout(new GridLayout(5, 4, 5, 5));
        //erste Zeile
        myPanel.add(b7);
        myPanel.add(b8);
        myPanel.add(b9);
        myPanel.add(bDiv);
        // zweite Zeile
        myPanel.add(b4);
        myPanel.add(b5);
        myPanel.add(b6);
        myPanel.add(bMulti);
        // dritte Zeile
        myPanel.add(b1);
        myPanel.add(b2);
        myPanel.add(b3);
        myPanel.add(bMinus);
        // vierte Zeile
        myPanel.add(b0);
        myPanel.add(bSign);
        myPanel.add(bGleich);
        myPanel.add(bPlus);
        // fünfte Zeile
        myPanel.add(bClear);

        // Panel dem Frame hinzufügen
        this.add(myPanel, BorderLayout.SOUTH);

        // Action Listener erzeugen und registrieren
        ButtonListener buttonListener = new ButtonListener(this);
        b7.addActionListener(buttonListener);
        b8.addActionListener(buttonListener);
        b9.addActionListener(buttonListener);
        bDiv.addActionListener(buttonListener);
        b4.addActionListener(buttonListener);
        b5.addActionListener(buttonListener);
        b6.addActionListener(buttonListener);
        bMulti.addActionListener(buttonListener);
        b1.addActionListener(buttonListener);
        b2.addActionListener(buttonListener);
        b3.addActionListener(buttonListener);
        bMinus.addActionListener(buttonListener);
        b0.addActionListener(buttonListener);
        bSign.addActionListener(buttonListener);
        bGleich.addActionListener(buttonListener);
        bPlus.addActionListener(buttonListener);
        bClear.addActionListener(buttonListener);

        // Close Listener => das Fenster schliessen, App beenden:
        addWindowListener(new CloseListener());

        // show
        this.setVisible(true);
    }

}
